<?php

/**
 *
 * All content on this website (including text, images, source
 * code and any other original works), unless otherwise noted,
 * is licensed under a Creative Commons License.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Copyright (C) 2004-2007 Open-Xchange, Inc.
 * Mail: info@open-xchange.com
 *
 * @author Manuel Kraft <manuel.kraft@open-xchange.com>
 * @author Stefan Preuss <stefan.preuss@open-xchange.com>
 *
 */
    session_start();
    $oxdata = $_SESSION['ox_data'];

    //$folder_id = $_GET['folder_id']; supplied in session
    $contact_id = $_GET['obj_id'];

    if(!$contact_id){
        // show errror html

        $html = <<< EOH
<table border="0">
<tr>
<td style="color:red;">
Missing contact id!
</td>
</tr>
</table>
EOH;
        echo($html);
        return; // let script return
    }else{
        $folder_id = $oxdata['ox_default_folder_contacts'];
        // fetch contact data
        try{
            $data = oxGetContact($oxdata,$contact_id,$folder_id);
        }catch(oXSessionTimeoutException $e){
            //echo "Session expired , loggin in again!";
            $session_is_expired = true;
            $oxdata = oXDoLogin($oxdata['ox_host'],$oxdata['ox_user'], $oxdata['ox_passwd'], false);
        }

        if($session_is_expired){
            // data is not defined, seems that session is expired
            $data = oxGetContact($oxdata,$contact_id,$folder_id);
        }
    }
?>


<?php

    // prepare data for display on detail rows below
    // FIXME: Make this a funtion to call always on every page
    $displayname = oXGetDisplayNameFromContact($data);

?>



<table class="listview">

        <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Detail view"); ?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo $displayname; ?>&nbsp;
            </td>
        </tr>


        <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Company");?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo $data->company; ?>&nbsp;
            </td>
        </tr>


         <tr>
            <td class="listview_grey_column">
                <b><?php echo _("eMail");?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo $data->email1; ?>&nbsp;
            </td>
        </tr>


         <tr>
            <td class="listview_grey_column">
                <b><?php echo _("First name");?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo  $data->first_name; ?>&nbsp;
            </td>
        </tr>


        <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Last name"); ?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo $data->last_name; ?>&nbsp;
            </td>
        </tr>


         <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Mobile"); ?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo  $data->cellular_telephone1; ?>&nbsp;
            </td>
        </tr>

         <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Mobile private"); ?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo $data->cellular_telephone2; ?>&nbsp;
            </td>
        </tr>

        <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Second name");?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo $data->second_name; ?>&nbsp;
            </td>
        </tr>

        <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Phone");?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo  $data->telephone_business1;?>&nbsp;
            </td>
        </tr>

        <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Nickname");?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo $data->nickname; ?>&nbsp;
            </td>
        </tr>

        <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Phone private");?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo $data->telephone_home1; ?>&nbsp;
            </td>
        </tr>


        <tr>
            <td class="listview_grey_column">
                <b><?php echo _("Comments");?></b>
            </td>
        </tr>
        <tr>
            <td class="listview_darkgrey_column">
                <?php echo nl2br($data->note); ?>&nbsp;
            </td>
        </tr>
        
</table>